#!/bin/bash

#设置目标文件夹
target_folder="/app/video/lihan"

# 当前时间
current_time=$(date +%s)

# 遍历目标文件夹下的所有文件
find "$target_folder" -type f | while read -r file; do
    # 获取文件创建时间
    file_creation_time=$(stat -c %Y "$file")
    # 计算文件创建时间与当前时间的差值
    time_difference=$((current_time - file_creation_time))
    # 检查是否超过2分钟
    if [ "$time_difference" -gt 120 ]; then
        # 提取文件名并输出
        filename=$(basename "$file")
        echo "$filename"
	nohup ffmpeg -i /app/video/lihan/$filename -c copy /app/video/tom/$filename &
	rm -rf /app/video/lihan/$filename
	mv /app/video/tom/$filename /app/video/lihan/
    fi
done
